import { appendScript } from './utils';
import { AnalyticsPlugin } from './plugin';
import { setupDirective } from './directive';
import { setupViewTracking } from './view-tracking';
class GTMVue {
    static install(Vue, options) {
        const { id, disableDirective, directiveName, router, ignoredViews } = options;
        appendScript(id);
        Vue.gtm = Vue.prototype.$gtm = new AnalyticsPlugin();
        if (!disableDirective) {
            setupDirective(Vue, directiveName || 'track');
        }
        if (router) {
            setupViewTracking(Vue, router, ignoredViews);
        }
    }
}
export default GTMVue;
//# sourceMappingURL=index.js.map