function scriptExists() {
    const scriptTags = Array.from(document.getElementsByTagName('script'));
    return scriptTags.some((scriptTag) => {
        return scriptTag.src.indexOf('googletagmanager') >= 0;
    });
}
export function appendScript(id) {
    if (scriptExists()) {
        return;
    }
    const scriptTag = document.createElement('script');
    scriptTag.async = true;
    scriptTag.src = `https://www.googletagmanager.com/gtm.js?id=${id}`;
    window.dataLayer = getDataLayer();
    window.dataLayer.push({
        'event': 'gtm.js',
        'gtm.start': new Date().getTime(),
    });
    document.body.appendChild(scriptTag);
}
export function getDataLayer() {
    return window.dataLayer = window.dataLayer || [];
}
export function logDebug(eventName, options) {
    // tslint:disable-next-line:no-console
    console.log(`Calling ${eventName} with:`, options);
}
//# sourceMappingURL=utils.js.map